let language = document.currentScript.getAttribute('language');
const numForExample = "+380991112233";
const digitsInTheNumber = numForExample.length;
const operatorArr = [
  "050",
  "066",
  "099",
  "067",
  "068",
  "096",
  "097",
  "039",
  "098",
  "095",
  "093",
  "063",
  "091",
  "092",
  "094",
];


let strArr = "";


switch (language) {

  case "UA":
    error = "Введіть правильний номер телефону, приклад: " + numForExample;
    break;

  default:
    error = "Введите правильный номер телефона, пример: " + numForExample;

}

let css =
  "\
                .input-error {\
                    border:1px solid red!important;\
                    transform: translate3d(0, 0, 0);\
                    animation: shake 0.4s cubic-bezier(.36,.07,.19,.97) both;\
                }\
                .phone-error{\
                    padding: 10px\
                }\
                @keyframes shake {\
                    10%,\
                    90% {\
                        transform: translate3d(-1px, 0, 0);\
                    }\
                    20%,\
                    80% {\
                        transform: translate3d(2px, 0, 0);\
                    }\
                    30%,\
                    50%,\
                    70% {\
                        transform: translate3d(-3px, 0, 0);\
                    }\
                    40%,\
                    60% {\
                        transform: translate3d(3px, 0, 0);\
                    }\
                }";
let style = document.createElement("style");
style.type = "text/css";
if (style.styleSheet) {
  style.styleSheet.cssText = css;
} else {
  style.appendChild(document.createTextNode(css));
}
document.body.appendChild(style);

$( document ).ready(function() {


  if ($('input[name="phone"]').closest("form")) {
    $('input[name="phone"]').val("+38");
    $('input[name="phone"]').attr("maxLength", "13");

    let $inp = $('input[name="phone"]'),
      prevVal = "",
      reference = document.querySelector('input[name="phone"]').value;
    $inp.on("input", function () {
      this.value = this.value.replace(/([^+0-9]+)/gi, "");
    });
    function change(val) {
      var ind = val.indexOf(reference);

      if (ind !== 0) {
        $inp.prop("value", prevVal || reference);
      } else {
        prevVal = val;
      }
      // maskInput("+38", "+380123456789");
    }
    $inp.on("input", function () {
      var val = $(this).prop("value");
      change(val);
    });
  }

});




$("form").submit(function (event)  {
  if($(this).find('input[name="phone"]').length > 0) {
    let strNumber = $(this).find('input[name="phone"]').val();
    let operatorNumber = strNumber.slice(3, 6);
    isValid = true;
    for (let i = 0; isValid && i <= operatorArr.length; i++) {
      //В if если диапазон чисел неуказан явно - strNumber.length  <= maxPhoneNumber && strNumber.length >= minPhoneNumber && strNumber[3] === '0'
      if (
        strNumber.length === digitsInTheNumber &&
        operatorNumber === operatorArr[i]
      ) {
        isValid = false;
        // console.log("form submited");
      }
    }
    if (isValid) {
      event.preventDefault();
      if (!$(this).find('.phone-error').length > 0) {
        let nodeError = document.createElement("div");
        nodeError.setAttribute("class", "phone-error");
        nodeError.innerHTML = error;
        $(this).find('input[name="phone"]').toggleClass("input-error");
        $(this).append(nodeError);
      }
    }
  }

});
